<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param: partition (the selected partition to edit) , availableNodes (a List<ObjectClasses>) -->
    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:param name="panel_id" value="ldapPartitionsPanel"/>
        <ui:define name="panel_title">
            <h:outputText value="#{messages['net.ihe.gazelle.hpd.LDAPPartitionEdition']}"/>
        </ui:define>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="partitionNameValue"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
            <h:inputText styleClass="form-control" value="#{partition.name}" size="30" id="partitionNameValue">
                <a4j:ajax event="blur" render="partitionNameValue"/>
            </h:inputText>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="partitionBaseDNValue"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.BaseDN']}</ui:define>
            <h:inputText styleClass="form-control" value="#{partition.baseDN}" size="60" id="partitionBaseDNValue">
                <a4j:ajax event="blur" render="partitionBaseDNValue"/>
            </h:inputText>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="partitionServerIPValue"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.LDAPServersIPAddress']}</ui:define>
            <h:inputText styleClass="form-control" value="#{partition.serverIP}" size="30" id="partitionServerIPValue">
                <a4j:ajax event="blur" render="partitionServerIPValue"/>
            </h:inputText>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="partitionServerPortValue"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.LDAPServersPort']}</ui:define>
            <h:inputText styleClass="form-control" value="#{partition.serverPort}" size="10"
                         id="partitionServerPortValue">
                <a4j:ajax event="blur" render="partitionServerPortValue"/>
            </h:inputText>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="partitionRegex1Value"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.RegexForSearch']}</ui:define>
            <h:inputText styleClass="form-control" value="#{partition.dnSearchRegex}" size="100"
                         id="partitionRegex1Value">
                <a4j:ajax event="blur" render="partitionRegex1Value"/>
            </h:inputText>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="partitionRegex2Value"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.RegexForModification']}</ui:define>
            <h:inputText styleClass="form-control" value="#{partition.dnModifyRegex}" size="100"
                         id="partitionRegex2Value">
                <a4j:ajax event="blur" render="partitionRegex2Value"/>
            </h:inputText>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="descriptionInput"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
            <h:inputTextarea id="descriptionInput" styleClass="form-control" value="#{partition.description}" rows="3"
                             cols="35"/>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:define name="label">Simulator Type</ui:define>
            <ui:param name="id" value="simulatorSelectionBox"/>
            <h:selectOneMenu id="simulatorSelectionBox" value="#{partition.simulator}"
                             styleClass="form-control gzl-form-contro gzl-select-text">
                <s:selectItems value="#{partition.getSimulators()}" var="simu" label="#{simu.name}"
                               noSelectionLabel="#{messages['net.ihe.gazelle.hpd.PleaseSelect']}"/>
            </h:selectOneMenu>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="isDefaultBox"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.IsTheDefaultPartition']}</ui:define>
            <h:selectBooleanCheckbox id="isDefaultBox" value="#{partition.isDefault}"/>
        </s:decorate>

        <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
            <ui:param name="panel_id" value="nodesSelectionPanel"/>
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.hpd.SelectBelowTheSubordinateNodesToCreate']}"/>
            </ui:define>
            <a4j:region id="nodesSelectionRegion">
                <s:decorate template="/layout/form/_edit.xhtml" id="nodes">
                    <ui:param name="panel_id" value="subordinateNodesList"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.SubordinateNodes']}</ui:define>
                    <rich:pickList id="subordinateNodesList" value="#{partition.subordinatedNodes}"
                                   sourceListWidth="250px"
                                   targetListWidth="250px">
                        <s:selectItems value="#{availableNodes}" var="node" label="#{node.name}"/>
                    </rich:pickList>
                </s:decorate>
            </a4j:region>
        </ui:decorate>
        <a4j:commandButton value="#{messages['users.Cancel']}"
                           actionListener="#{ldapPartitionManager.cancelEdition()}" render="globalDiv"
                           styleClass="gzl-btn"/>
        <a4j:commandButton value="#{messages['gazelle.simulator.Save']}"
                           actionListener="#{ldapPartitionManager.savePartition()}" render="globalDiv"
                           styleClass="gzl-btn-green"/>
    </ui:decorate>
</ui:composition>
